OLD | NEW |
1 #!/bin/bash | 1 #!/bin/bash |
2 | 2 |
3 # Renaming a file should show up as a rename in the review. | 3 # Renaming a file should show up as a rename in the review. |
4 | 4 |
5 set -e | 5 set -e |
6 | 6 |
7 . ./test-lib.sh | 7 . ./test-lib.sh |
8 | 8 |
9 setup_initsvn | 9 setup_initsvn |
10 setup_gitsvn | 10 setup_gitsvn |
11 | 11 |
12 ( | 12 ( |
13 set -e | 13 set -e |
14 cd git-svn | 14 cd git-svn |
15 git config rietveld.server localhost:8080 | 15 git config rietveld.server localhost:8080 |
16 | 16 |
17 # Create a branch, rename a file, upload it. | 17 # Create a branch, rename a file, upload it. |
18 git checkout -q -b rename | 18 git checkout -q -b rename |
19 git mv test test2 | 19 git mv test test2 |
20 git commit -q -m "renamed" | 20 git commit -q -m "renamed" |
21 export EDITOR=/bin/true | 21 export EDITOR=$(which true) |
22 test_expect_success "upload succeeds" \ | 22 test_expect_success "upload succeeds" \ |
23 "$GIT_CL upload -m test master... | grep -q 'Issue created'" | 23 "$GIT_CL upload -m test master... | grep -q 'Issue created'" |
24 | 24 |
25 # Look at the uploaded patch and verify it is a rename patch. | 25 # Look at the uploaded patch and verify it is a rename patch. |
26 echo "Rename test not fully implemented yet. :(" | 26 echo "Rename test not fully implemented yet. :(" |
27 exit 1 | 27 exit 1 |
28 ) | 28 ) |
29 | 29 |
30 SUCCESS=$? | 30 SUCCESS=$? |
31 | 31 |
32 cleanup | 32 cleanup |
33 | 33 |
34 if [ $SUCCESS == 0 ]; then | 34 if [ $SUCCESS == 0 ]; then |
35 echo PASS | 35 echo PASS |
36 fi | 36 fi |
OLD | NEW |